=== debian/changelog ===
srslte (18.06.1+ds.1-1build1) jammy; urgency=medium

  * No-change rebuild against libsoapysdr0.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 19:12:59 +0000

srslte (18.06.1+ds.1-1) unstable; urgency=medium

  * Remove file without source from orig source
  * d/copyright: Remove duplicate entry
  * d/patches/0010-Fix-build-for-GCC-10.patch:
    - Fix FTBFS with GCC 10 (Closes: #966890)
  * d/rules: Disable tests for now

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 Jan 2021 23:40:13 +0100
